%define	rcver %{nil}
Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	OpenVPN is a robust and highly flexible tunneling application compatible with many OSes.
Name:		openvpn
Version:	2.1.4
Release:	1
License:	GNU/GPL
URL:		http://openvpn.net
Group:		Networking/Security
Source0:	%{name}-%{version}%{rcver}.tar.gz
Source200:	openvpn.rc
Patch0:		openvpn-2.1-peercred.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires:	pkcs11-helper-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: lzo-devel
BuildRequires: openssl-devel
BuildRequires: perl

Requires: perl-Authen-PAM

%description
OpenVPN is a robust and highly flexible tunneling application compatible with many OSes.

This version of OpenVPN is NOT COMPATIBLE with older versions!
If you need compatibility with a version < 2 please emerge
that one.

The init.d script that comes with OpenVPN expects directories
/etc/openvpn/*/ with a local.conf and any supporting files,
such as keys.

If you've used 2.0 already make sure to move your configuration
files into a subdirectory of /etc/openvpn, for example to:
/etc/openvpn/myconf and rename your configfile to local.conf


%package doc
Summary: 	%{name} documents.
Group: 		%{group}
Requires: 	%{name} = %{version}-%{release}

%description doc
%{name} documents.

%prep
%setup -q -n %{name}-%{version}%{rcver}
%patch0 -p1

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--enable-ssl \
--enable-crypto \
--enable-pthread \
--with-lzo-headers=%_includedir/lzo
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/openvpn
mkdir -p $RPM_BUILD_ROOT%_initrddir
install -m 755 %{SOURCE200} $RPM_BUILD_ROOT%_initrddir/openvpn
mkdir -p $RPM_BUILD_ROOT%_datadir/%{name}/easy-rsa
cp -r easy-rsa/* $RPM_BUILD_ROOT%_datadir/%{name}/easy-rsa/
mkdir -p $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}/examples
cp -r sample-{config-files,keys,scripts} $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}/examples/
cp -r contrib $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}/examples/
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_sysconfdir}/rc.d/init.d/openvpn
%{_sbindir}/openvpn               
%{_mandir}/man8/openvpn.8.gz
%{_datadir}/openvpn/easy-rsa

%files doc
%doc AUTHORS ChangeLog INSTALL PORTS README
%{_docdir}/openvpn-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 12 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.4-1
- version update
* Fri Jan 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.1-1
- version update
* Fri Oct 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.1-2
- rc13
* Sun Feb 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.1-1
- Version update
- rc7
* Wed Sep 26 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.0.9-1
- Version update
* Fri Oct 14 2005 Christian Wasem <wasem@ccux-linux.de> 2.0.2-2
- tweaked specfile, changed group to Networking/Security
* Wed Oct 12 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.0.2-1
- Version update, tweaked specfile
* Thu Jul 07 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.0-1
- Initial Release
